---
{%- from "telegram/map.jinja" import telegram with context %}
telegram-archive-extract:
  archive.extracted:
    - name: {{ telegram.dest_path }}{{ telegram.version }}
    - source: {{ telegram.mirror }}/v{{ telegram.version }}/tsetup.{{ telegram.version }}.tar.xz
    - skip_verify: True
    - archive_format: tar
    - enforce_toplevel: False
    - options: --transform 's/Telegram/telegram/g' --transform 's/Updater/updater/g' --strip 1
    - keep: True
    - if_missing: {{ telegram.dest_path }}{{ telegram.version }}/telegram 

telegram-symlink:
  file.symlink:
    - name: {{ telegram.install_dir }}/telegram
    - target: {{ telegram.dest_path }}{{ telegram.version }}
    - force: True

telegram-bin-symlink:
  file.symlink:
    - name: /usr/bin/telegram
    - target: {{ telegram.dest_path }}{{ telegram.version }}/telegram
    - force: True

telegram-shortcut:
  file.managed:
    - name: /usr/share/applications/telegram.desktop
    - source: salt://telegram/telegram.desktop.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja